Update vehicle last-known location
curl --request PATCH \
--url https://app.unitedlogistics.com.do/api/v1/vehicles/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message_id": 123,
"latitude": 0,
"longitude": 0,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": 123,
"edt": "<string>",
"eid": 123,
"spd": 123,
"head": 123,
"odo": 123,
"alt": 123,
"eng": 0,
"driver_id": 4821,
"extra": "<string>",
"device_id": "<string>",
"carnumber": "<string>"
}
'import requests
url = "https://app.unitedlogistics.com.do/api/v1/vehicles/location"
payload = {
"message_id": 123,
"latitude": 0,
"longitude": 0,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": 123,
"edt": "<string>",
"eid": 123,
"spd": 123,
"head": 123,
"odo": 123,
"alt": 123,
"eng": 0,
"driver_id": 4821,
"extra": "<string>",
"device_id": "<string>",
"carnumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message_id: 123,
latitude: 0,
longitude: 0,
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
external_id: 123,
edt: '<string>',
eid: 123,
spd: 123,
head: 123,
odo: 123,
alt: 123,
eng: 0,
driver_id: 4821,
extra: '<string>',
device_id: '<string>',
carnumber: '<string>'
})
};
fetch('https://app.unitedlogistics.com.do/api/v1/vehicles/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": 123,
"provider": "<string>",
"location": {
"message_id": 123,
"vehicle_id": 123,
"carnumber": "<string>",
"device_id": "<string>",
"edt": "<string>",
"eid": 123,
"latitude": 123,
"longitude": 123,
"spd": 123,
"head": 123,
"odo": 123,
"alt": 123,
"extra": "<string>",
"eng": 123,
"driver_id": 4821,
"car_title": "<string>",
"license_plate": "<string>",
"icon_url": "<string>",
"car_type": "<string>",
"sub_type": "<string>"
},
"location_updated_at": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}Vehicles
Update vehicle last-known location
Updates the stored location snapshot for one vehicle. Identify the vehicle by id (UUID) or by external_id + provider. Optional driver_id (provider driver external id) may be included when the engine is on. Does not modify unrelated vehicle fields.
PATCH
/
vehicles
/
location
Update vehicle last-known location
Authorizations
Authorization: Bearer ulk__. Cree la clave en Configuración → API.
Body
application/json
Required range:
-90 <= x <= 90Required range:
-180 <= x <= 180Available options:
karma, internal Required range:
0 <= x <= 1Provider driver external_id currently operating this vehicle (drivers.external_id). Optional — pass null to clear.
Example:
4821
Response
OK
Show child attributes
Show child attributes
⌘I
